## org.gnu.gtk
Class Menu

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.MenuShell
                          org.gnu.gtk.Menu

public class Menu
extends MenuShell

A Menu is a MenuShell that implements a drop down menu consisting of a list of MenuItem objects which can be navigated and activated by the user to perform application functions.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Menu()` Create a new Menu.
`Menu(Handle handle)` Create a new Menu from a handle to a native resource.

Method Summary
`void` `detach()` Detaches the menu from the widget to which it had been attached.
`java.util.ArrayList` `getAttachedMenus()` Returns a list of the menus which are attached to this widget.
`java.lang.String` `getTitle()` Returns the title of the menu.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_menu_attach(Handle menu, Handle child, int left, int right, int top, int bottom)`
`protected static void` `gtk_menu_detach(Handle menu)`
`protected static Handle` `gtk_menu_get_accel_group(Handle menu)`
`protected static int` `gtk_menu_get_active(Handle menu)`
`protected static Handle` `gtk_menu_get_attach_widget(Handle menu)`
`protected static boolean` `gtk_menu_get_tearoff_state(Handle menu)`
`protected static java.lang.String` `gtk_menu_get_title(Handle menu)`
`protected static int` `gtk_menu_get_type()`
`protected static Handle` `gtk_menu_new()`
`protected static void` `gtk_menu_popdown(Handle menu)`
`protected static void` `gtk_menu_popup(Handle menu)`
`protected static void` `gtk_menu_reorder_child(Handle menu, Handle child, int position)`
`protected static void` `gtk_menu_reposition(Handle menu)`
`protected static void` `gtk_menu_set_accel_group(Handle menu, Handle accelGroup)`
`protected static void` `gtk_menu_set_accel_path(Handle menu, java.lang.String accelPath)`
`protected static void` `gtk_menu_set_active(Handle menu, int index)`
`protected static void` `gtk_menu_set_monitor(Handle menu, int monitorNum)`
`protected static void` `gtk_menu_set_screen(Handle menu, Handle screen)`
`protected static void` `gtk_menu_set_tearoff_state(Handle menu, boolean tornOff)`
`protected static void` `gtk_menu_set_title(Handle menu, java.lang.String title)`
`void` `popup()` Displays a menu and makes it available for selection.
`void` `reorderMenuItem(MenuItem child, int position)` Move a MenuItem to a new position within the Menu.
`void` `setAccelGroup(AccelGroup accelGroup)` Set the AccelGroup which holds global accelerators for the menu.
`void` `setTitle(java.lang.String title)` Sets the title string for this Menu.

Methods inherited from class org.gnu.gtk.MenuShell
`activateItem, append, cancel, deactivate, deselect, gtk_menu_shell_activate_item, gtk_menu_shell_append, gtk_menu_shell_deactivate, gtk_menu_shell_deselect, gtk_menu_shell_get_type, gtk_menu_shell_insert, gtk_menu_shell_prepend, gtk_menu_shell_select_item, insert, prepend, selectFirst, selectItem`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Menu

    public Menu()

  Create a new Menu.

### Menu

    public Menu(Handle handle)

  Create a new Menu from a handle to a native resource.

Method Detail

### reorderMenuItem

    public void reorderMenuItem(MenuItem child,
                                int position)

  Move a MenuItem to a new position within the Menu.

  Parameters:
    `child` - The MenuItem to be moved.
    `position` - The new position to place the MenuItem.

### popup

    public void popup()

  Displays a menu and makes it available for selection. Applications can use this method to provide context-sensitive menus.

### detach

    public void detach()

  Detaches the menu from the widget to which it had been attached.

### setAccelGroup

    public void setAccelGroup(AccelGroup accelGroup)

  Set the AccelGroup which holds global accelerators for the menu. The accelerator group needs to also be added to all windows that this menu is being used in.

  Parameters:
    `accelGroup` - The AccelGroup to be associated with this Menu.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title string for this Menu. The title is displayed when the menu is shown as a tearoff menu.

  Parameters:
    `title` - The title for the Menu.

### getTitle

    public java.lang.String getTitle()

  Returns the title of the menu.

  Returns:
    The title for the menu.

### getAttachedMenus

    public java.util.ArrayList getAttachedMenus()

  Returns a list of the menus which are attached to this widget.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_menu_popup

    protected static final void gtk_menu_popup(Handle menu)

### gtk_menu_get_type

    protected static final int gtk_menu_get_type()

### gtk_menu_new

    protected static final Handle gtk_menu_new()

### gtk_menu_reposition

    protected static final void gtk_menu_reposition(Handle menu)

### gtk_menu_popdown

    protected static final void gtk_menu_popdown(Handle menu)

### gtk_menu_get_active

    protected static final int gtk_menu_get_active(Handle menu)

### gtk_menu_set_active

    protected static final void gtk_menu_set_active(Handle menu,
                                                    int index)

### gtk_menu_set_accel_group

    protected static final void gtk_menu_set_accel_group(Handle menu,
                                                         Handle accelGroup)

### gtk_menu_get_accel_group

    protected static final Handle gtk_menu_get_accel_group(Handle menu)

### gtk_menu_set_accel_path

    protected static final void gtk_menu_set_accel_path(Handle menu,
                                                        java.lang.String accelPath)

### gtk_menu_detach

    protected static final void gtk_menu_detach(Handle menu)

### gtk_menu_get_attach_widget

    protected static final Handle gtk_menu_get_attach_widget(Handle menu)

### gtk_menu_set_tearoff_state

    protected static final void gtk_menu_set_tearoff_state(Handle menu,
                                                           boolean tornOff)

### gtk_menu_get_tearoff_state

    protected static final boolean gtk_menu_get_tearoff_state(Handle menu)

### gtk_menu_set_title

    protected static final void gtk_menu_set_title(Handle menu,
                                                   java.lang.String title)

### gtk_menu_get_title

    protected static final java.lang.String gtk_menu_get_title(Handle menu)

### gtk_menu_reorder_child

    protected static final void gtk_menu_reorder_child(Handle menu,
                                                       Handle child,
                                                       int position)

### gtk_menu_set_screen

    protected static final void gtk_menu_set_screen(Handle menu,
                                                    Handle screen)

### gtk_menu_attach

    protected static final void gtk_menu_attach(Handle menu,
                                                Handle child,
                                                int left,
                                                int right,
                                                int top,
                                                int bottom)

### gtk_menu_set_monitor

    protected static final void gtk_menu_set_monitor(Handle menu,
                                                     int monitorNum)